
require "skill"
Class = require "libs.hump.class"
Cast = Class{
	
	init = function(self, playerCaster, skill, otherPlayer)
		if skill:getId() == 1 then --Ataque básico
			--Hay que checkear primero que no esté en enfriamiento.
			-- Hay que revisar el timer correspondiente al cooldown de la habilidad.
			if (playerCaster:getId() == 1) then
				self.targetTile = playerCaster:getTile() + 3
			end
			if (playerCaster:getId() == 2) then
				self.targetTile = playerCaster:getTile() - 3
			end

			self.delay = skill:getDelay()
			-- cambiar el estado del playercaster para casteando.
			--después del delay:
			-- animación de efecto de daño. 
			-- cambiar el estado del otherplayer a recibiendo daño.
			--quitarle vida.
			--Iluminar la casilla correspondiente durante el tiempo self.delay. 
			--Luego de eso, con un temporizador, aplicar la animación de la habilidad
			-- en la targetTile y si el otro jugador está en esa casilla hacer que reciba daño.
		end
	end;


	update = function(self, dt)
	
	end;



}